# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/watchdog/dlg,da9062-watchdog.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Dialog Semiconductor DA9062/61 Watchdog Timer

maintainers:
  - Steve Twiss <stwiss.opensource@diasemi.com>

allOf:
  - $ref: watchdog.yaml#

properties:
  compatible:
    enum: 
      - dlg,da9061-watchdog
      - dlg,da9062-watchdog

  dlg,use-sw-pm:
    type: boolean
    description:
      Add this property to disable the watchdog during suspend.
      Only use this option if you can't use the watchdog automatic suspend
      function during a suspend (see register CONTROL_B).
  
  dlg,wdt-sd:
    $ref: /schemas/types.yaml#/definitions/uint32
    enum: [0, 1]
    description:
      Set what happens on watchdog timeout. If this bit is set the
      watchdog timeout triggers SHUTDOWN, if cleared the watchdog triggers
      POWERDOWN. Can be 0 or 1. Only use this option if you want to change the
      default chip's OTP setting for WATCHDOG_SD bit. If this property is NOT
      set the WATCHDOG_SD bit and on timeout watchdog behavior will match the
      chip's OTP settings.

required:
  - compatible

unevaluatedProperties: false

examples:
  - |
    watchdog {
      compatible = "dlg,da9062-watchdog";
      dlg,use-sw-pm;
      dlg,wdt-sd = <1>;
    };
